<?php

declare(strict_types=1);

namespace Drupal\lb_plus\EventSubscriber;

use Drupal\navigation_plus\Event\UiRoutesEvent;
use Symfony\Component\EventDispatcher\EventSubscriberInterface;

final class UiRoutes implements EventSubscriberInterface {

  public function onUiRoutes(UiRoutesEvent $event): void {
    $lb_plus_ui_routes = [
      'lb_plus.contextual_link.layout_block.edit',
      'lb_plus.contextual_link.duplicate_block',
      'lb_plus.admin_button.configure_section',
      'lb_plus.contextual_link.update_block',
      'lb_plus.contextual_link.remove_block',
      'lb_plus.admin_button.remove_section',
      'lb_plus.js.configure_changed_layout',
      'lb_plus.admin_button.choose_layout',
      'lb_plus.js.move_section_drop_zone',
      'lb_plus.js.add_section_drop_zone',
      'lb_plus.js.place_block',
      'lb_plus.js.move_block',
      'lb_plus.js.enable-ui',
      'lb_plus.js.disable-ui',
    ];
    foreach ($lb_plus_ui_routes as $route) {
      $event->addRoute($route);
    }
  }

  /**
   * {@inheritdoc}
   */
  public static function getSubscribedEvents(): array {
    return [
      UiRoutesEvent::class => ['onUiRoutes'],
    ];
  }

}
